#define U_RAM 1
#define S_RAM 2
#define FLASH 3

#define APPLOC		0x10c20000
#define FLASH_FREE	0x10c30000

// Tamaos de las memorias
#define U_RAM_SZ (128*1024)
#define S_RAM_SZ (128*1024)

// Tamao de la pgina
// (no olvidar cambiar ALIGN's en linker-script si se cambia)
#define L2PAGE 7		//log_2(tamao_pgina) (128 bytes)
#define PAGE (1<<L2PAGE)

char *tmalloc(short type,unsigned char tix,unsigned int nbytes);
char *kmalloc(short type,unsigned int nbytes);
int kfree(char *buffer,int nbytes);
void free_task_mem(int tix);
